/*
 * usart_test.c
 *
 * Created: 18.07.2013 11:11:28
 *  Author: Practical
 */ 

#ifndef F_CPU
#define F_CPU 12000000UL // 12 MHz
#endif
#ifndef BAUD
#define BAUD  9600UL//UART mit 9600 Baud
#endif

#define UBRR_VAL ((F_CPU+BAUD*8)/(BAUD*16)-1)   // clever runden
#define BAUD_REAL (F_CPU/(16*(UBRR_VAL+1)))     // Reale Baudrate
#define BAUD_ERROR ((BAUD_REAL*1000)/BAUD) // Fehler in Promille, 1000 = kein Fehler.

#if ((BAUD_ERROR<990) || (BAUD_ERROR>1010))
#error Systematischer Fehler der Baudrate grsser 1% und damit zu hoch!
#endif


#include <avr/io.h>
#include "usart.h"


char ausgabe[]={'H','a','l','l','o', '\r','\0'};

int main(void)
{
	usart_init(UBRR_VAL);
	
    while(1)
    {
		usart_write_str(ausgabe);
    }
}